from django.contrib.auth.admin import admin, UserAdmin
from polymorphic.admin import PolymorphicParentModelAdmin, PolymorphicChildModelAdmin
from member.models import TFJMUser, Document, Solution, Synthesis, MotivationLetter, Authorization, Config


@admin.register(TFJMUser)
class TFJMUserAdmin(UserAdmin):
    list_display = ('email', 'first_name', 'last_name', 'role', )


@admin.register(Document)
class DocumentAdmin(PolymorphicParentModelAdmin):
    child_models = (Authorization, MotivationLetter, Solution, Synthesis,)
    polymorphic_list = True


@admin.register(Authorization)
class AuthorizationAdmin(PolymorphicChildModelAdmin):
    pass


@admin.register(MotivationLetter)
class MotivationLetterAdmin(PolymorphicChildModelAdmin):
    pass


@admin.register(Solution)
class SolutionAdmin(PolymorphicChildModelAdmin):
    pass


@admin.register(Synthesis)
class SynthesisAdmin(PolymorphicChildModelAdmin):
    pass


@admin.register(Config)
class ConfigAdmin(admin.ModelAdmin):
    pass
